'
' Poll by age of the records in the SOSOS database.  This polling technique
' will not generate any new records.
' Note: Inherited from the fmPoll_Base form
'
Public Class fmPoll_byAge

    Private Sub nudByAge_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load, nudByAge.ValueChanged
        Dim marker As Date

        marker = Now.AddDays(-nudByAge.Value)

        ' There is no universal way to format date constants.  Parameterized 
        ' queries are much help because they too aren't "agnostic".  We also
        ' can't really make this culture aware because we don't know the 
        ' culture settings of the database.  Oh well...
        If My.Settings.ConnectionString.Contains(".Jet.") Then
            tbAgeQuery.Text = "Select PC_Name from SOS where CurrentDate < #" & marker.ToString & "#"
        Else
            If My.Settings.DatabaseProvider = "System.Data.OracleClient" Or My.Settings.ConnectionString.Contains("MSDAORA") Then
                tbAgeQuery.Text = "Select PC_Name from SOS where CurrentDate < to_date('" & marker.ToString & "', 'MM/DD/YYYY HH:MI:SS AM')"
            Else
                tbAgeQuery.Text = "Select PC_Name from SOS where CurrentDate < '" & marker.ToString & "'"
            End If
        End If

    End Sub

    Public Overrides Function GetPCList() As String()
        Dim db As New Database

        Return db.GetPCList(tbAgeQuery.Text)
    End Function
End Class
