Imports System.IO
Imports System.Collections.Specialized

'
' Poll by the contents of a File.  The file should contain the list of PCs
' one per line.
' Note: Inherited from the fmPoll_Base form
'
Public Class fmPoll_byFile
    Private Sub bnPollByFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bnPollByFile.Click
        OpenFileDialog1.FileName = tbFile.Text
        OpenFileDialog1.Filter = "txt files (*.txt)|*.txt|All files (*.*)|*.*"
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            tbFile.Text = OpenFileDialog1.FileName
        End If
    End Sub

    Public Overrides Function GetPCList() As String()
        Dim sr As StreamReader
        Dim ans(-1) As String
        Dim sc As New StringCollection
        Dim temp As String

        Try
            If [File].Exists(tbFile.Text) Then
                sr = [File].OpenText(tbFile.Text)
                Do While sr.Peek() > -1
                    temp = sr.ReadLine
                    ' skip blank lines and comment
                    If temp <> "" And Not temp.StartsWith(";") Then
                        sc.Add(temp)
                    End If
                Loop
                sr.Close()
            End If

            If sc.Count > 0 Then
                ReDim ans(sc.Count - 1)
                sc.CopyTo(ans, 0)
            End If
        Catch
        End Try

        Return ans
    End Function

End Class
